# Makefile for ELEC278 Code
# Meant to be used with MSVC nmake command

# Must define THISDIR and CMDS (list of commands) before including makeincl
THISDIR	=	Advanced
CMDS	=	bitarray.exe vector.exe

!INCLUDE "/code/src/include/makeincl"

clean:
		del *.obj
		del *.exe
		del *.map

bitarray.exe:	bitarray.obj
		cl /nologo /Febitarray /Fmbitarray bitarray.obj

Vector.exe:	Vector.obj
		cl /nologo /FeVector /FmVector Vector.obj

bitarray.obj:	bitarray.C
		cl /nologo /WX /DTESTBITARRAY bitarray.c

Vector.obj:	Vector.c
		cl /nologo /WX /DTESTVECTOR Vector.c

##### Rules for test components
tstvector.exe:	tstvector.obj
		cl /nologo /Fetstvector tstvector.obj

tstvector.obj:	Vector.c
		cl /nologo /Fotstvector /WX /DTESTVECTOR Vector.c
